org.apache.commons.io.filefilter

## Class DelegateFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.AbstractFileFilter
  - - org.apache.commons.io.filefilter.DelegateFileFilter

- All Implemented Interfaces:
    FileFilter, FilenameFilter, Serializable, FileVisitor<Path>, PathFilter, PathVisitor, IOFileFilter

      public class DelegateFileFilter
      extends AbstractFileFilter
      implements Serializable

  This class turns a Java FileFilter or FilenameFilter into an IO FileFilter.

  ## Deprecating Serialization

  Serialization is deprecated and will be removed in 3.0.

  Since:
    1.0
  See Also:
    `FileFilterUtils.asFileFilter(FileFilter)`, `FileFilterUtils.asFileFilter(FilenameFilter)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.io.filefilter.IOFileFilter

      `EMPTY_STRING_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegateFileFilter(FileFilter fileFilter)` Constructs a delegate file filter around an existing FileFilter.
    `DelegateFileFilter(FilenameFilter filenameFilter)` Constructs a delegate file filter around an existing FilenameFilter.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(File file)` Checks the filter.
    `boolean` | `accept(File dir, String name)` Checks the filter.
    `String` | `toString()` Provide a String representation of this file filter.

    - ### Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter

      `handle, postVisitDirectory, preVisitDirectory, visitFile, visitFileFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.filefilter.IOFileFilter

      `accept, and, negate, or`

- - ### Constructor Detail

    - #### DelegateFileFilter

          public DelegateFileFilter(FileFilter fileFilter)

      Constructs a delegate file filter around an existing FileFilter.
      Parameters:
        `fileFilter` - the filter to decorate

    - #### DelegateFileFilter

          public DelegateFileFilter(FilenameFilter filenameFilter)

      Constructs a delegate file filter around an existing FilenameFilter.
      Parameters:
        `filenameFilter` - the filter to decorate

  - ### Method Detail

    - #### accept

          public boolean accept(File file)

      Checks the filter.
      Specified by:
        `accept` in interface `FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `file` - the file to check
      Returns:
        true if the filter matches

    - #### accept

          public boolean accept(File dir,
                                String name)

      Checks the filter.
      Specified by:
        `accept` in interface `FilenameFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Overrides:
        `accept` in class `AbstractFileFilter`
      Parameters:
        `dir` - the directory
        `name` - the file name in the directory
      Returns:
        true if the filter matches

    - #### toString

          public String toString()

      Provide a String representation of this file filter.
      Overrides:
        `toString` in class `AbstractFileFilter`
      Returns:
        a String representation

Copyright © 2002–2023 The Apache Software Foundation. All rights reserved.